﻿using System;
using CoreGraphics;
using SimpleAutoComplete;
using SimpleAutoComplete.iOS;
using UIKit;
using Xamarin.Forms;
using Xamarin.Forms.Platform.iOS;

[assembly: ExportRenderer(typeof(CustomEntry), typeof(CustomEntryRenderer))]
namespace SimpleAutoComplete.iOS
{
    class CustomEntryRenderer : EntryRenderer
    {
        //protected override void OnElementChanged(ElementChangedEventArgs<Entry> e)
        //{
        //    base.OnElementChanged(e);

        //    if (Control != null)
        //    {
        //        // do whatever you want to the UITextField here!
        //        //Control.BackgroundColor = UIColor.FromRGB(204, 153, 255);
        //        //Control.BorderStyle = UITextBorderStyle.Line;

        //        //textField.Layer.CornerRadius = 5;

        //         //Control.Background = Resources.GetDrawable(Resource.Drawable.RoundedEntry);
        //         //Control.SetPadding(1, 3, 1, 1);
        //    }
        //}

        protected override void OnElementChanged(ElementChangedEventArgs<Entry> e)
        {
            base.OnElementChanged(e);

            if (Element != null && Control != null)
            {
                // Create a custom border with square corners
                Control.BorderStyle = UITextBorderStyle.None;
                Control.Layer.CornerRadius = 5;
                Control.Layer.BorderWidth = .9f;
                Control.Layer.BorderColor = UIColor.FromRGB(0, 0, 0).CGColor;

                // Invisible views create padding at the beginning and end
                Control.LeftView = new UIView(new CGRect(0, 0, 8, Control.Frame.Height));
                Control.RightView = new UIView(new CGRect(0, 0, 8, Control.Frame.Height));
                Control.LeftViewMode = UITextFieldViewMode.Always;
                Control.RightViewMode = UITextFieldViewMode.Always;

                // Fixed height creates padding at top and bottom
                Element.HeightRequest = 30;
            }
        }
    }
}
